COPYFILERANGE(1)

NUME
copyfilerange - copiază intervalul (intervalele) specificat(e) din fișierul sursă în fișierul de destinație

REZUMAT

copyfilerange [opțiuni] sursa destinația interval...

DESCRIERE

Comanda copyfilerange copiază intervale de octeți din fișierul sursă în fișierul de destinație. Aceasta este o încapsulare a apelului de sistem copy_file_range(2).

Comanda poate fi utilizată pentru a crea fișiere cu goluri nealocate (fișiere rare) și/sau cu blocuri partajate între mai multe fișiere (reflinks).

Fiecare interval are forma poziție_sursă:poziție_destinație:lungime, toate valorile fiind exprimate în octeți. Dacă lungime este 0, se copiază toate datele disponibile. Se pot specifica mai multe intervale.

Când una sau ambele poziții sunt omise, operația utilizează ultima poziție a fișierului accesată, începând de la 0.

OPȚIUNI

-r, --ranges fișier
    Citește intervalele separate de linii noi din acest fișier.

-v, --verbose
    Furnizează informații detaliate privind intervalele copiate.

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

STARE DE IEȘIRE

0
    succes

1
    eșec nespecificat

NOTE

Apelul de sistem copy_file_range(2) prezintă câteva restricții importante: fișierele sursă și destinație trebuie să utilizeze același tip de sistem de fișiere, iar unele sisteme de fișiere virtuale (cum ar fi procfs) nu vor funcționa. copy_file_range(2) va utiliza legături referențiate (reflinks) atunci când sistemul de fișiere acceptă această funcționalitate. Pentru a utiliza legături referențiate, intervalul de fișiere trebuie, de cele mai multe ori, să se alinieze la dimensiunea blocului sistemului de fișiere atât în fișierul sursă, cât și în cel de destinație.

AUTORI

EXEMPLE

    copyfilerange original-file reflink ::
    copyfilerange original-file first-block ::4096
    copyfilerange original-file even-blocks -r <(seq 0 8192 40960|awk '{print $1"::4096"}')
    copyfilerange original-file sparse-file 0:1M:1
    copyfilerange original-file split-first-mb ::1M
    copyfilerange original-file split-remainder 1M::
    copyfilerange split-first-mb join ::
    copyfilerange split-remainder join :1M:

CONSULTAȚI ȘI

copy_file_range(2)

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda copyfilerange face parte din pachetul util-linux care poate fi descărcat de la